Package org.apache.qpid.proton.reactor

# Class Handshaker

java.lang.Object
org.apache.qpid.proton.engine.BaseHandler
org.apache.qpid.proton.reactor.Handshaker

All Implemented Interfaces:
  `CoreHandler`, `Handler`

public class Handshaker extends BaseHandler
A handler that mirrors the actions of the remote end of a connection. This handler responds in kind when the remote end of the connection is opened and closed. Likewise if the remote end of the connection opens or closes sessions and links, this handler responds by opening or closing the local end of the session or link.

## Constructor Summary

Constructors
Constructor
Description
`Handshaker()`

## Method Summary

Modifier and Type
Method
Description
`void`
`onConnectionRemoteClose(Event event)`
`void`
`onConnectionRemoteOpen(Event event)`
`void`
`onLinkRemoteClose(Event event)`
`void`
`onLinkRemoteOpen(Event event)`
`void`
`onSessionRemoteClose(Event event)`
`void`
`onSessionRemoteOpen(Event event)`

### Methods inherited from class org.apache.qpid.proton.engine.BaseHandler

`add, children, getHandler, getHandler, handle, onConnectionBound, onConnectionFinal, onConnectionInit, onConnectionLocalClose, onConnectionLocalOpen, onConnectionUnbound, onDelivery, onLinkFinal, onLinkFlow, onLinkInit, onLinkLocalClose, onLinkLocalDetach, onLinkLocalOpen, onLinkRemoteDetach, onReactorFinal, onReactorInit, onReactorQuiesced, onSelectableError, onSelectableExpired, onSelectableFinal, onSelectableInit, onSelectableReadable, onSelectableUpdated, onSelectableWritable, onSessionFinal, onSessionInit, onSessionLocalClose, onSessionLocalOpen, onTimerTask, onTransport, onTransportClosed, onTransportError, onTransportHeadClosed, onTransportTailClosed, onUnhandled, setHandler, setHandler`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Handshaker

public Handshaker()

## Method Details

### onConnectionRemoteOpen

public void onConnectionRemoteOpen(Event event)

Specified by:
  `onConnectionRemoteOpen` in interface `CoreHandler`
Overrides:
  `onConnectionRemoteOpen` in class `BaseHandler`

### onSessionRemoteOpen

public void onSessionRemoteOpen(Event event)

Specified by:
  `onSessionRemoteOpen` in interface `CoreHandler`
Overrides:
  `onSessionRemoteOpen` in class `BaseHandler`

### onLinkRemoteOpen

public void onLinkRemoteOpen(Event event)

Specified by:
  `onLinkRemoteOpen` in interface `CoreHandler`
Overrides:
  `onLinkRemoteOpen` in class `BaseHandler`

### onConnectionRemoteClose

public void onConnectionRemoteClose(Event event)

Specified by:
  `onConnectionRemoteClose` in interface `CoreHandler`
Overrides:
  `onConnectionRemoteClose` in class `BaseHandler`

### onSessionRemoteClose

public void onSessionRemoteClose(Event event)

Specified by:
  `onSessionRemoteClose` in interface `CoreHandler`
Overrides:
  `onSessionRemoteClose` in class `BaseHandler`

### onLinkRemoteClose

public void onLinkRemoteClose(Event event)

Specified by:
  `onLinkRemoteClose` in interface `CoreHandler`
Overrides:
  `onLinkRemoteClose` in class `BaseHandler`